DIM m(4,4)                     
MAT READ m
DATA  1.2, 0.8, 0  , 0
DATA -0.1, 0.9, 0  , 0
DATA  0  , 0  , 1  , 0
DATA  0.2, 0.1, 0  , 1
SET COLOR MODE "NATIVE"      
GLOAD "ZENKOUJI.JPG" 
ASK PIXEL SIZE (0,0; 1,1) a,b   
DIM p(a,b)                     
ASK PIXEL ARRAY (0,1) p       
SET BITMAP SIZE 551,551       
CLEAR                          
SET WINDOW -50, 500, -50, 500      
DRAW grid0(100,100)              
DRAW pict1                         
WAIT DELAY 2                      
CLEAR
DRAW grid0(100,100)
DRAW pict1 WITH m               
PICTURE pict1
   MAT PLOT CELLS, IN  1,b ; a,1 : p
END PICTURE
END